#include "plugins_window.h"
#include <QScrollBar>
#include <QFileDialog>
#include <QImageReader>
#include <QDialogButtonBox>
#include <QBuffer>
#include <QMetaMethod>
#include "core.h"


SHDesignerPlugins::SHDesignerPlugins(QWidget * parent): QDialog(parent), Ui::SHDesignerPlugins() {
	setupUi(this);
	connect(widgetPlugins, SIGNAL(closeRequest()), this, SLOT(accept()));
	connect(widgetPlugins, SIGNAL(reloadPluginsRequest()), SHCORE, SLOT(reloadPlugins()));
	connect(SHCORE, SIGNAL(changedPlugins()), widgetPlugins, SLOT(updateList()));
}


SHDesignerPlugins::~SHDesignerPlugins() {
}

